# -*- coding: utf-8 -*-

import os


def get_project_path():
    current_path = os.path.abspath(__file__)
    current_dir = os.path.split(current_path)[0]
    return os.path.abspath(os.path.join(current_dir, '../..'))


def get_data_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'data')


def get_conf_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'conf/private.conf')


def get_model_path():
    project_path = get_project_path()
    return os.path.join(project_path, 'model')